// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: tester.h 844 2011-10-13 22:05:28Z Sebastian Kupferschmid $
//
////////////////////////////////////////////////////////////////////

#ifndef TESTER_H
#define TESTER_H

class Graph;
class Node;

class GraphTester {
private:
    int bfs(const Graph* graph, const Node* initial) const;
    bool testNode(const Node* node) const;

    bool testNodes(const Graph* graph) const;
    bool testConnected(const Graph* graph) const;
    bool testDistances(const Graph* graph) const;
public:
    GraphTester() {}
    void test(const Graph* graph) const;
};

#endif /* TESTER_H */
